MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/playlist_plugin.h File Reference

`#include <stdbool.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Data Structures
struct | playlist_provider
| An object which provides the contents of a playlist. More...
struct | playlist_plugin
## Functions
static void | playlist_provider_init (struct playlist_provider *playlist, const struct playlist_plugin *plugin)
static bool | playlist_plugin_init (const struct playlist_plugin *plugin, const struct config_param *param)
| Initialize a plugin.
static void | playlist_plugin_finish (const struct playlist_plugin *plugin)
| Deinitialize a plugin which was initialized successfully.
static struct playlist_provider * | playlist_plugin_open_uri (const struct playlist_plugin *plugin, const char *uri)
static struct playlist_provider * | playlist_plugin_open_stream (const struct playlist_plugin *plugin, struct input_stream *is)
static void | playlist_plugin_close (struct playlist_provider *playlist)
static struct song * | playlist_plugin_read (struct playlist_provider *playlist)

## Function Documentation

static void playlist_plugin_close | ( | struct playlist_provider * | playlist | ) | `[inline, static]`

Definition at line 126 of file playlist_plugin.h.

static void playlist_plugin_finish | ( | const struct playlist_plugin * | plugin | ) | `[inline, static]`

Deinitialize a plugin which was initialized successfully.

Definition at line 106 of file playlist_plugin.h.

static bool playlist_plugin_init | ( | const struct playlist_plugin * | plugin,
|  | const struct config_param * | param
| ) |  | `[inline, static]`

Initialize a plugin.

Parameters:

  param | a configuration block for this plugin, or NULL if none is configured

Returns:
  true if the plugin was initialized successfully, false if the plugin is not available

Definition at line 94 of file playlist_plugin.h.

static struct playlist_provider* playlist_plugin_open_stream | ( | const struct playlist_plugin * | plugin,
|  | struct input_stream * | is
| ) |  | `[static, read]`

Definition at line 119 of file playlist_plugin.h.

static struct playlist_provider* playlist_plugin_open_uri | ( | const struct playlist_plugin * | plugin,
|  | const char * | uri
| ) |  | `[static, read]`

Definition at line 113 of file playlist_plugin.h.

static struct song* playlist_plugin_read | ( | struct playlist_provider * | playlist | ) | `[static, read]`

Definition at line 132 of file playlist_plugin.h.

static void playlist_provider_init | ( | struct playlist_provider * | playlist,
|  | const struct playlist_plugin * | plugin
| ) |  | `[inline, static]`

Definition at line 38 of file playlist_plugin.h.